import { BrowserRouter as Router, Route, Switch } from 'react-router-dom';
import React, { Suspense, lazy } from 'react';

const Home = lazy(() => import('./routes/Home'));
const Anime = lazy(() => import('./routes/Anime'));
const Notfound = lazy(() => import('./routes/notfound'));


class App extends React.Component {
    render() {
        return (
            <Router>
                <Suspense fallback={<div>Loading...</div>}>
                    <Switch>
                        <Route exact path="/" component={Home}/>
                        <Route path="/Anime" component={Anime}/>

                        <Route component={Notfound} />
                    </Switch>
                </Suspense>
            </Router>
        );
    }
}

export default App;
